Search documentation of Metastatic

# Metastatic.Analysis.Purity.Formatter (Metastatic v0.13.2)

View Source

Formats purity analysis results for display.

Supports multiple output formats: text, JSON, and detailed.

## Summary

### Functions

format(result, atom)

Formats a purity result as text (default format).

## Functions

# format(result, atom)

    @spec format(Metastatic.Analysis.Purity.Result.t(), atom()) :: String.t()

Formats a purity result as text (default format).

## Examples

    iex> result = Metastatic.Analysis.Purity.Result.pure()
    iex> Metastatic.Analysis.Purity.Formatter.format(result, :text)
    "PURE"

    iex> result = Metastatic.Analysis.Purity.Result.impure([:io], [])
    iex> Metastatic.Analysis.Purity.Formatter.format(result, :text)
    "IMPURE: I/O operations"